Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.aglets.security
Class DateString

    java.lang.Object
      |
      +--com.ibm.aglets.security.DateString

public final class DateString
extends java.lang.Object

The `DateString` class is a converter between Date and String.

Version:
  1.00 $Date: 2001/07/28 06:33:06 $
Author:
  ONO Kouichi

Constructor Summary
`DateString()` Constructor.

Method Summary
`static java.lang.String` | `date2string(java.util.Date date)` Gets string from date.
`static java.lang.String` | `date2string(java.util.Date date, java.lang.String format)` Gets string from date.
`static java.util.Date` | `getCurrentTime()`
`java.util.Date` | `getTime()`
`java.lang.String` | `getTimeString()`
`static void` | `main(java.lang.String[] arg)`
`static java.util.Date` | `string2date(java.lang.String date)` Gets date from string.
`static java.util.Date` | `string2date(java.lang.String date, java.lang.String format)` Gets date from string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DateString

    public DateString()

  Constructor.

Method Detail

### date2string

    public static java.lang.String date2string(java.util.Date date)

  Gets string from date.
  Parameters:
    `date` - date
  Returns:
    date string

### date2string

    public static java.lang.String date2string(java.util.Date date,
                                               java.lang.String format)

  Gets string from date.
  Parameters:
    `date` - date
    `format` - format string
  Returns:
    date string

### getCurrentTime

    public static java.util.Date getCurrentTime()

### getTime

    public java.util.Date getTime()

### getTimeString

    public java.lang.String getTimeString()

### main

    public static void main(java.lang.String[] arg)

### string2date

    public static java.util.Date string2date(java.lang.String date)

  Gets date from string.
  Parameters:
    `date` - date string
  Returns:
    date

### string2date

    public static java.util.Date string2date(java.lang.String date,
                                             java.lang.String format)

  Gets date from string.
  Parameters:
    `date` - date string
    `format` - format string
  Returns:
    date

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD